Name: jakarta-commons-fileupload 
Version: 1.0
Release: alt0.M24.1

Summary: Jakarta Commons Fileupload Package
License: Apache Software License
Group: Development/Java
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Url: http://jakarta.apache.org/commons/fileupload/
Source0: http://www.apache.org/dist/jakarta/commons/fileupload/source/commons-fileupload-1.0-src.tar.gz
Patch1: %name-build.xml.patch 

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: j2se1.4-sun-devel ant jakarta-servletapi5

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-servletapi5

%description
The Commons FileUpload package makes it easy to add robust,
high-performance, file upload capability to your servlets and web
applications.

FileUpload parses HTTP requests which conform to RFC 1867 ,
"Form-based File Upload in HTML". That is, if an HTTP request is
submitted using the POST method, and with a content type of
"multipart/form-data", then FileUpload can parse that request, and
make the results available in a manner easily used by the caller.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc-generated API documentation for Jakarta Commons FileUpload.

%prep
%setup -qn commons-fileupload-%version
%patch1

%build
%__ant dist

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m 644 dist/commons-fileupload.jar %buildroot%_javadir/%name.jar
%__cp dist/*.txt %buildroot%_docdir/%name-%version/
%__mv dist/docs/api %buildroot%_javadocdir/%name

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Wed May 04 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0-alt0.M24.1
- Backport to Master 2.4
- Update Patch1

* Mon Dec 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt2
- Use rpm-build-java macros
- Updated Patch1 to use the generic servletapi.jar alternative

* Sat Aug 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt1.1
- More spec cleanup

* Tue Dec 02 2003 Alexey Borovskoy <alb@altlinux.ru> 1.0-alt1
- First build for ALTLinux
- Spec cleanup

* Sat Jun 28 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1.0-1jpp
- Update to 1.0.
- Add Epochs to dependencies.
- Nuke beanutils dependency.
- Versionless javadoc dir symlinks.

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 1:1.0-0.beta1.4jpp
- for jpackage-utils 1.5

* Mon Mar 10 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.3jpp
- rebuild with correct ant (avoid corrupted archive)

* Fri Mar 07 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.2jpp
- replace servlet23 requirement by servlet4api

* Wed Feb 26 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1.0-0.beta1.1jpp
- Update to 1.0 beta 1 (no code changes from cvs20030115).
- Fix requirements.

* Wed Jan 15 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0 (cvs 20030115)
- first jPackage release
